Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(3)

Issue 26928002: SkData need not be a Flattenable, since it does not need subclass/factories (Closed)

Created:
5 years, 8 months ago by reed1
Modified:
5 years, 8 months ago
Reviewers:
mtklein, sugoi
CC:
skia-review_googlegroups.com
Visibility:
Public.

Description

SkData need not be a Flattenable, since it does not need subclass/factories BUG= R=mtklein@google.com Committed: https://code.google.com/p/skia/source/detail?r=11754

Patch Set 1 #

Total comments: 4
Unified diffs Side-by-side diffs Delta from patch set Stats (+19 lines, -36 lines) Patch
M include/core/SkData.h View 4 chunks +3 lines, -9 lines 0 comments Download
M include/core/SkFlattenableBuffers.h View 3 chunks +12 lines, -0 lines 4 comments Download
M src/core/SkData.cpp View 3 chunks +2 lines, -24 lines 0 comments Download
M src/image/SkDataPixelRef.cpp View 1 chunk +2 lines, -2 lines 0 comments Download
M src/ports/SkGlobalInitialization_default.cpp View 1 chunk +0 lines, -1 line 0 comments Download

Messages

Total messages: 6 (0 generated)
reed1
5 years, 8 months ago (2013-10-10 21:25:17 UTC) #1
mtklein
One naming nit, otherwise lg2m. https://codereview.chromium.org/26928002/diff/1/include/core/SkFlattenableBuffers.h File include/core/SkFlattenableBuffers.h (right): https://codereview.chromium.org/26928002/diff/1/include/core/SkFlattenableBuffers.h#newcode102 include/core/SkFlattenableBuffers.h:102: SkData* readByteArrayAsData() { Mentioning ...
5 years, 8 months ago (2013-10-10 21:32:02 UTC) #2
sugoi
https://codereview.chromium.org/26928002/diff/1/include/core/SkFlattenableBuffers.h File include/core/SkFlattenableBuffers.h (right): https://codereview.chromium.org/26928002/diff/1/include/core/SkFlattenableBuffers.h#newcode102 include/core/SkFlattenableBuffers.h:102: SkData* readByteArrayAsData() { Shouldn't it be pure virtual and ...
5 years, 8 months ago (2013-10-11 12:03:35 UTC) #3
reed1
https://codereview.chromium.org/26928002/diff/1/include/core/SkFlattenableBuffers.h File include/core/SkFlattenableBuffers.h (right): https://codereview.chromium.org/26928002/diff/1/include/core/SkFlattenableBuffers.h#newcode102 include/core/SkFlattenableBuffers.h:102: SkData* readByteArrayAsData() { On 2013/10/10 21:32:03, mtklein wrote: > ...
5 years, 8 months ago (2013-10-14 13:32:13 UTC) #4
mtklein
On 2013/10/14 13:32:13, reed1 wrote: > https://codereview.chromium.org/26928002/diff/1/include/core/SkFlattenableBuffers.h > File include/core/SkFlattenableBuffers.h (right): > > https://codereview.chromium.org/26928002/diff/1/include/core/SkFlattenableBuffers.h#newcode102 > ...
5 years, 8 months ago (2013-10-14 14:28:53 UTC) #5
reed1
5 years, 8 months ago (2013-10-14 14:33:18 UTC) #6
Message was sent while issue was closed.
Committed patchset #1 manually as r11754 (presubmit successful).

Powered by Google App Engine
This is Rietveld 408576698